<?php
include_once "../config/conexion.php";
include_once "../include/info_empresa.php";
include_once "../include/funciones.php";

$phrase = (!empty($_POST['nombre'])) ? $db->escape($_POST['nombre']) : "" ;
$cliente = $db->get_row("SELECT
	pv_empleado.Nombre,
	pv_empleado.Apellido,
	pv_cliente.Id_Cliente,
	pv_cliente.Nombre as Nom_Cliente,
	pv_cliente.Direccion,
	pv_cliente.Telefono,
	pv_cliente.NIT,
	pv_cliente.Correo,
	pv_cliente.Pagina_Web,
	pv_cliente.Nombre_Contacto,
	pv_cliente.Celular_Contacto,
	pv_cliente.Correo_Contacto
	FROM pv_cliente,pv_empleado
	WHERE pv_cliente.Id_Cliente = '$phrase'
	AND pv_cliente.Id_Empleado = pv_empleado.Id_Empleado ");
if ($cliente) {
	$codigo_cliente = $cliente->Id_Cliente;
?>


<div class="row" style="padding-top: 15px">
    <div class="col-md-12">
        <div class="box box-default box-solid">
            <div class="box-header with-border">
                <h3 class="box-title">Perfil del cliente</h3>
                <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse">
                        <i class="fa fa-minus"></i>
                    </button>
                </div>
            </div>
            <div class="box-body">
                <div class="col-sm-6">
                    <?php include_once 'images.php'; ?>
                </div>
                <div class="col-sm-6">
                    <table class="table table-hover">
                        <tbody>
                            <tr>
                                <td>Código:</td>
                                <td><?php echo $codigo_cliente; ?></td>
                            </tr>
                            <tr>
                                <td>Nombre:</td>
                                <td><?php echo $cliente->Nom_Cliente; ?></td>
                            </tr>
                            <tr>
                                <td>Dirección:</td>
                                <td><?php echo $cliente->Direccion; ?></td>
                            </tr>
                            <tr>
                                <td>Teléfono:</td>
                                <td><?php echo $cliente->Telefono; ?></td>
                            </tr>
                            <tr>
                                <td>NIT:</td>
                                <td><?php echo $cliente->NIT; ?></td>
                            </tr>
                            <tr>
                                <td>Correo:</td>
                                <td><?php echo $cliente->Correo; ?></td>
                            </tr>
                            <tr>
                                <td>Nombre del Contacto:</td>
                                <td><?php echo $cliente->Nombre_Contacto; ?></td>
                            </tr>
                            <tr>
                                <td>Celular del Contacto:</td>
                                <td><?php echo $cliente->Celular_Contacto; ?></td>
                            </tr>
                            <tr>
                                <td>Correo del Contacto:</td>
                                <td><?php echo $cliente->Correo_Contacto; ?></td>
                            </tr>
                            <tr>
                                <td>Vendedor:</td>
                                <td><?php echo $cliente->Nombre . ' ' .$cliente->Apellido; ?></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <?php include_once 'tablas.php'; ?>
</div>
<?php
}
?>