$(document).ready(function() {
    var options = {
        url: function(phrase) {
            return "clientes.php";
        },
        getValue: function(element) {
            return element.Nombre;
        },
        ajaxSettings: {
            dataType: "json",
            method: "POST",
            data: {
                dataType: "json"
            }
        },
        preparePostData: function(data) {
            data.cliente = $("#cliente").val();
            return data;
        },
        list: {
            maxNumberOfElements:5,
            onSelectItemEvent: function() {
                var codigoc = $("#cliente").getSelectedItemData().Codigo;
                $("#cdcliente").val(codigoc).trigger("change");
                var direccion = $("#cliente").getSelectedItemData().dire;
                $(".text-info").text(direccion);
                $("#clear_input").show();
                $('#formorden').bootstrapValidator('revalidateField', 'cdcliente');
            }
        },
        requestDelay: 500
    };
    $("#cliente").easyAutocomplete(options);
    $("#cliente").focus();

    $('#address').on('shown.bs.modal', function () {
        loadAddress();
    })

    $('#btnForm').on( "click", function() {
        $('#formorden').submit();
    });

    $("[name='nuevo']").change(function() {
        if (this.checked) {
        	$('#datanew').show();
        	$('#default').hide();
        	$("#open_modal").show();
            $("[name='nuevo']").prop('checked', true);
            $("#pago").val('1');
            $("#cliente").prop('disabled', true);
            $("#cdcliente").val('0');
            $('#formorden').bootstrapValidator('enableFieldValidators', 'newName', true);
            $('#formorden').bootstrapValidator('enableFieldValidators', 'newPhone', true);
            $('#formorden').bootstrapValidator('enableFieldValidators', 'newNIT', true);
            $('#formorden').bootstrapValidator('enableFieldValidators', 'cliente', false);
            $('#formorden').bootstrapValidator('enableFieldValidators', 'cdcliente', false);
            $('#formorden').bootstrapValidator('validate');
        }else{
        	$('#datanew').hide();
        	$('#default').show();
        	$("#open_modal").hide();
            $("[name='nuevo']").prop('checked', false);
            $("#cliente").prop('disabled', false);
            $("#cdcliente").val('');
            $("#cliente").val('');
            $("#pago").val('');
            $('#formorden').bootstrapValidator('enableFieldValidators', 'newName', false);
            $('#formorden').bootstrapValidator('enableFieldValidators', 'newPhone', false);
            $('#formorden').bootstrapValidator('enableFieldValidators', 'newNIT', false);
            $('#formorden').bootstrapValidator('revalidateField', 'pago');
            $('#formorden').bootstrapValidator('enableFieldValidators', 'cliente', true);
            $('#formorden').bootstrapValidator('enableFieldValidators', 'cdcliente', true);
            $('#formorden').bootstrapValidator('validate');
        }
    });

    $("#clear_input").on( "click", function() {
        $("#pago").prop('readonly', false);
        $("#pago").val('');
        $("#cdcliente").val('');
        $("#cliente").val('');
        $("#clear_input").hide();
        $("#open_modal").hide();
        $(".text-info").text("");
        $('#cliente').focus();
        $('#formorden').bootstrapValidator('revalidateField', 'cliente');
        $('#formorden').bootstrapValidator('revalidateField', 'cdcliente');
        $('#formorden').bootstrapValidator('revalidateField', 'pago');
    });
    Tabla_Simple('#productos','',[true,true,5,true],'');
});

$(document).on('shown.bs.modal', function (e) {
    $.fn.dataTable.tables( {visible: true, api: true} ).columns.adjust();
});
