<?php
include_once "../config/conexion.php";

$orden = (!empty($_POST['orden'])) ? $db->escape($_POST['orden']) : "" ;
$cliente = (!empty($_POST['cdcliente'])) ? $db->escape($_POST['cdcliente']) : "" ;
$pago = (!empty($_POST['pago'])) ? $db->escape($_POST['pago']) : "" ;
$envio = (!empty($_POST['envio'])) ? $db->escape($_POST['envio']) : "" ;
$fecha = date("Y-m-d H:i:s");
$direccion = $db->escape($_POST['direccion']);
$compra = ucwords(strtolower( $db->escape($_POST['Enca_Compra']) ));
$comentario = $db->escape($_POST['comentario']);
$comentario = str_replace("\n", '<br>', $comentario);

$cfinal = (!empty($_POST['nuevo'])) ? $db->escape($_POST['nuevo']) : "" ;
$nombre = (!empty($_POST['newName'])) ? ucwords(strtolower( $db->escape($_POST['newName']) )) : "" ;
$telefono = (!empty($_POST['newPhone'])) ? $db->escape($_POST['newPhone']) : "" ;
$nit = (!empty($_POST['newNIT'])) ? $db->escape($_POST['newNIT']) : "" ;

if ($db->numero($orden) && ($db->numero($cliente) || ($cfinal && $nombre)) && $db->numero($pago) && $db->numero($envio) ){

	$body_orden = '';
	$mensaje = '';
	$type = 1 ;

	$infotemp = $db->get_results("SELECT * 
		FROM pv_temp_orden 
		WHERE No_Orden = $orden
		AND Id_Usuario = $codigo_Usuario ");

	if ($infotemp) {
		if ( !empty($cfinal) && !empty($nombre) ) $cliente = 0;
		$query0 = "INSERT INTO pv_enca_orden
			(Id_Enca_Orden, Id_Cliente, Id_Vendedor, Id_Cliente_Direccion_extra, Encargado, Pago, Envio, Estado, Fecha, Comentario,usuario_crea)
			VALUES
			(NULL,'$cliente','$codigo_empleado','$direccion','$compra','$pago','$envio',3,'$fecha','$comentario','$codigo_Usuario')";
		if ( $db->query($query0) ) {//Almacena encabezado de factura
			$Last_Id0 = $db->insert_id;//Id de perdido almacendo
				$query0 = "INSERT INTO pv_enca_orden (Id_Enca_Orden, Id_Cliente, Id_Vendedor, Id_Cliente_Direccion_extra, Encargado, Pago, Envio, Estado, Fecha, Comentario,usuario_crea) 
				VALUES
				('$Last_Id0','$cliente','$codigo_empleado','$direccion','$compra','$pago','$envio',3,'$fecha','$comentario','$codigo_Usuario')";
			foreach ($infotemp as $info_orden ){//recore detalle de pedido para almacenarlos
				$cd_producto = $info_orden->Id_Modelo;
				$cantida = $info_orden->Cantidad;
				$precio = $info_orden->Precio;
				$no_orden = $info_orden->No_Orden;
				$body_orden .="($Last_Id0, $cd_producto, $cantida, $precio),";
			}

			$body_orden = trim($body_orden, ',');//elimina el ultimo caracter ','
			$query1 = "INSERT INTO pv_detalle_orden
				(Id_Enca_Orden, Id_Modelo, Cantidad, Precio) VALUES $body_orden ";
			if ( $db->query($query1) ) {

				if ( !empty($cfinal) && !empty($nombre) ) {
					$query3 = "INSERT INTO pv_cliente_final
						(Id_Cliente_Final, Id_Empleado, Correlativo, Seccion, Nombre, Telefono, NIT,fecha_crea,usuario_crea,Modulo,Documento)
						VALUES
						(NULL,$codigo_empleado,$Last_Id0,1,'$nombre','$telefono','$nit',NOW(),'$codigo_Usuario',1,$Last_Id0)";
					if($db->query($query3) ) new Sincronizacion($query3,2,'',$codigo_Usuario);
				}

				$mensaje = "La orden se ha guardado correctamente";
				new Sincronizacion($query0,1,"Ha agregado la orden de compra No. ".$Last_Id0."",$codigo_Usuario);
				new Sincronizacion($query1,2,'',$codigo_Usuario);
				$db->query("DELETE FROM pv_temp_orden WHERE No_Orden = $orden AND Id_Usuario = $codigo_Usuario");

			}else{
				$mensaje = "Error! La orden no se ha guardado.<br>Error de Contenido.<br>Vuelva a intentarlo.";
				$type = 2;
				$db->query("DELETE FROM pv_temp_orden WHERE No_Orden = $orden AND Id_Usuario = $codigo_Usuario");
				$db->query("DELETE FROM pv_enca_orden WHERE Id_Enca_Orden = $Last_Id0");
				if ( !empty($cfinal) && !empty($nombre) ){
					$db->query("DELETE FROM pv_cliente_final WHERE Correlativo = $Last_Id0");
				}
			}
		}else{
			$mensaje = "Error! La orden no se ha guardado.<br>Error de encabezado.<br>Vuelva a intentarlo.";
			$type = 2;
		}
	}
}
?>
<script type="text/javascript">
    $.confirm({
    	animation: 'top',
    	closeAnimation: 'top',
    	animateFromElement: false,
    	icon: 'fa fa-warning',
    	title: 'Nota',
    	content: <?php echo "'$mensaje'"; ?> ,
        type: <?php echo ($type == 1)? '"green"' : '"red"'; ?>,
    	buttons: {
    		OK: function () {
    			window.location.reload(true);
    		}
    	}
    });
</script>