<?php
  $hoy = date("Y-m-d");
  $pendientes = $db->get_results("SELECT
    pv_enca_factura.Id_Enca_Factura,
    pv_enca_factura.Id_Cliente,
    pv_enca_factura.Fecha,
    pv_enca_factura.Dias_Credito,
    pv_enca_factura.Total,
    pv_enca_factura.Estado,
    pv_cliente.Nombre as nom_cl,
    DATE_ADD(pv_enca_factura.Fecha, INTERVAL pv_enca_factura.Dias_Credito DAY) as Vencimiento
    FROM pv_enca_factura, pv_cliente
    WHERE pv_enca_factura.Id_Cliente = pv_cliente.Id_Cliente
    AND (pv_enca_factura.Estado = '2' OR pv_enca_factura.Estado = '3')
    AND pv_cliente.Id_Empleado = '$codigo_empleado' ");
?>

<div class="row">
	<div class="col-md-12">
		<div class="box">
			<div class="box-body">
				<input type="button" id="limpiar" value="Limpiar filtros" class="btn btn-primary center-block">
					<img id="load_table" class="img-responsive center-block" src="../style/img/load.gif">

					<table id="Tabla_Cobros" class="table table-striped table-bordered dt-responsive nowrap" 
					cellspacing="0" width="100%" style=" opacity: 0;">
					<thead>
						<tr>
							<th class="mediano">Factura</th>
							<th class="mediano">CD</th>
							<th>Cliente</th>
							<th>Fecha</th>
							<th>Credito</th>
							<th>Facturado</th>
							<th>Total</th>
							<th>Estado</th>
							<th>Vencimiento</th>
							<th></th>
						</tr>
					</thead>
					<tfoot>
						<tr>
							<th colspan="7" class="text-right" id="total"></th>
							<th></th>
							<th></th>
							<th></th>
						</tr>
					</tfoot>
					<tbody>
						<?php
						if ($pendientes){ 
							foreach ($pendientes as $pendiente ){
						?>
							<tr>
								<td>
									<?php $factura = $pendiente->Id_Enca_Factura; 
									echo  $factura; ?>
								</td>
								<td>
									<?php echo $cd_cliente = $pendiente->Id_Cliente; ?>
								</td>
								<td>
									<?php echo $cliente = $pendiente->nom_cl; ?>
								</td>
								<?php 
									$emision = $pendiente->Fecha;
									$timestamp = strtotime($emision);
								?>
								<td data-order="<?php echo $timestamp;?>">
									<?php
										echo FormatoFecha($emision);
										$cresito = $pendiente->Dias_Credito;
									?>
								</td>
								<td data-order="<?php echo $cresito;?>">
									<?php echo  $cresito." Dias"; ?>
								</td>
								<td class="text-right"><?php $total = $pendiente->Total; echo FormatoNumero($total);?>
								</td>
								<td class="text-right">
									<?php
										$estado = $pendiente->Estado;
										if ($estado == 2) {
											$abonado = $db->get_var("SELECT SUM(Cantidad) FROM pv_pago_factura 
												WHERE Id_Enca_Factura = $factura");
											echo FormatoNumero($total - $abonado);
										}else{
											echo FormatoNumero($total);
										};
									?>
								</td>
								<td>
									<?php
										$tiempo = DiasVencido($hoy,$pendiente->Vencimiento);
										echo EstadoCobro($estado);
									?>
								</td>
								<td data-order="<?php echo $tiempo; ?>">
									<?php
										echo ColorEstado($tiempo);
									?>
								</td>
								<td>
									<button type="button" class="btn btn-default" onclick="factura(<?php echo $factura; ?>)">
										<i class="fa fa-eye"> ver</i>
									</button>
								</td>
							</tr>
						<?php
							}
						}else{
							echo "No tienes cuentas para mostrar";
						}
						?>
					</tbody>
					</table>            
				</div>
			</div>
		</div>
</div>
<?php include_once 'modal.php'; ?>