<?php

include_once "../config/conexion.php";
include_once "../include/info_empresa.php";
include_once "../include/funciones.php";

$phrase = (!empty($_POST['query'])) ? $db->escape($_POST['query']) : "" ;

if ($db->alfa($phrase)){
	$depositos = $db->get_row("SELECT T0.Boleta, T0.Fecha, T0.Cantidad, T0.Estado,
		T0.Id_Cliente, T0.Estado, T1.Descripcion,
		IF(T0.Id_Cliente = 0,
		(
		SELECT Q1.Nombre FROM pv_cliente_final Q1
			WHERE Q1.Correlativo = T0.Boleta AND Q1.Seccion = 2
		),
		(
		SELECT Q0.Nombre FROM pv_cliente Q0
			WHERE Q0.Id_Cliente = T0.Id_Cliente
		)
		) AS Nombre
		FROM pv_boleta T0
		INNER JOIN pv_documento T1 ON (T0.Id_Banco = T1.Id_Documento)
		WHERE T0.Boleta = '$phrase' ");

	if($depositos){
		$comprobante = $depositos->Boleta;
		$fecha = $depositos->Fecha;
		$total = $depositos->Cantidad;
		$banco = $depositos->Descripcion;
		$cliente = (empty($depositos->Nombre))?'No indica': $depositos->Nombre;
		switch ($depositos->Estado) {
			case '1':
				$estado = '<span class="label bg-green">Procesado</span>';
				break;
			case '2':
				$estado = '<span class="label bg-red">Rechazado</span>';
				break;
			default:
				$estado = '<span class="label bg-yellow">Pendiente</span>';
				break;
		}

		echo '
			<table class="table table-bordered">
				<tbody>
					<tr>
						<td width="30%"><b>Fecha</b></td>
						<td width="30%"><b>Cliente</b></td>
						<td width="30%"><b>Comprobante</b></td>
					</tr>
					<tr>
						<td width="30%">'. FormatoFecha($fecha) .'</td>
						<td width="30%">'. $cliente .'</td>
						<td width="30%">'. $comprobante .'</td>
					</tr>
					<tr>
						<td width="30%"><b>Banco</b></td>
						<td width="30%"><b>Total</b></td>
						<td width="30%"><b>Estado</b></td>
					</tr>
					<tr>
						<td width="30%">'. $banco .'</td>
						<td width="30%">'. FormatoMoneda($total) .'</td>
						<td width="30%">'. $estado .'</td>
					</tr>
				</tbody>
			</table>
        ';

		$detalles = $db->get_results("SELECT Id_Enca_Factura,Cantidad 
			FROM pv_boleta_factura WHERE Id_Boleta = '$comprobante'");
		echo '
			<table class="table table-bordered">
				<thead>
					<tr>
						<th >Factura</th>
						<th>Abono</th>
					</tr>
				</thead>
				</tbody>
		';
		if($detalles){
			foreach ( $detalles as $detalle ){
				$factura = $detalle->Id_Enca_Factura;
				$abono = $detalle->Cantidad;
				$encafac = ($factura==0) ? "Aniticipo" : $factura ;

				echo '
					<tr>
						<td>'.$encafac.'</td>
						<td>'.FormatoMoneda($abono).'</td>
					</tr>
				';
			}
		}
		echo '
			</tbody></table>
		';

		$imagenes = $db->get_results("SELECT * FROM pv_img_boleta 
			WHERE Id_Boleta = '$comprobante'");
		echo '
			<div class="container">
			<div class="row">
		';

		if ($imagenes) {
			foreach ( $imagenes as $imagen ){
				echo '<div class="col-xs-3">
				<img src="img/'.$imagen->Nombre.'" class="img-rounded img-responsive" alt="Responsive image"></div>';
			}
		}else{
			echo '<div class="col-xs-3">No hay imagenes para mostrar</div>';
		}
?>
			</div>
		</div>
			<script type="text/javascript">
				$(".img-responsive").click(function() {
					$("#lightbox").modal();
					var rut = $(this).attr("src");
					$("#lightbox_body").html("<img src='"+rut+"' class='img-rounded img-responsive'>");
				})
			</script>
<?php
			

	}
}
?>