<?php

include_once "../config/conexion.php";

$fecha_post = (!empty($_POST['date'])) ? $db->escape($_POST['date']) : "" ;
$fecha = DateTime::createFromFormat("d/m/Y", $fecha_post)->format('Y-m-d');

$idCliente = (!empty($_POST['cdcliente'])) ? $db->escape($_POST['cdcliente']) : "" ;
$noComprobante = (!empty($_POST['boleta'])) ? $db->escape($_POST['boleta']) : "" ;
$tipoDocumento = (!empty($_POST['banco'])) ? $db->escape($_POST['banco']) : "" ;
$abono = (!empty($_POST['total'])) ? $db->escape($_POST['total']) : "" ;

$cfinal = (!empty($_POST['nuevo'])) ? $db->escape($_POST['nuevo']) : "" ;
$nombre = (!empty($_POST['newName'])) ? ucwords(strtolower( $db->escape($_POST['newName']) )) : "" ;

if ( ($db->numero($idCliente) || ($cfinal && $nombre)) &&  $db->numero($tipoDocumento) && $db->numero($noComprobante) ) {
	if ( isset($_POST['factura']) AND !empty($_POST['catidad']) ) {
		$abonos = array_combine($_POST['factura'], $_POST['catidad']);

		$query_CFinal = '';
		$bodyBoleta = "";
		$imgBoleta = "";
		$mensaje = "";
		$insertImg = false;
		$type = 2;

		$repetido = $db->get_var("SELECT Boleta
			FROM pv_boleta WHERE Boleta = '$noComprobante' ");

		if (!$repetido) { //Si el resultado es nulo o falso entonces...

			foreach ($abonos as $factura => $monto) { 	//recorre la combinacion de de idfactura y abonos
				if ($monto != 0) {
					$bodyBoleta .= "('$noComprobante','$factura','$monto' ),";
				}
			}

			if( $bodyBoleta != ''){
				if ($cfinal) {
					$idCliente = 0;
					$query_CFinal = "INSERT INTO pv_cliente_final
					(Id_Cliente_Final, Id_Empleado, Correlativo, Seccion, Nombre)
					VALUES
					(NULL,$codigo_empleado,$noComprobante,2,'$nombre')";
				}
				$query_enca = "INSERT INTO pv_boleta
					(Boleta, Id_Cliente, Id_Banco, Fecha, Cantidad, Estado,usuario_crea,fecha_crea)
					VALUES ('$noComprobante','$idCliente','$tipoDocumento','$fecha','$abono','3', '$codigo_empleado',NOW()) ";
                //if (0){
				if ( $db->query($query_enca) ) {
					if ($query_CFinal != ''){
						$db->query($query_CFinal);
					}
					new Sincronizacion($query_enca,1,"Ha agregado un nuevo deposito No.$noComprobante ",$codigo_Usuario);

					$bodyBoleta = trim($bodyBoleta, ',');
					$query_body = "INSERT INTO pv_boleta_factura
						(Id_Boleta, Id_Enca_Factura, Cantidad)
						VALUES $bodyBoleta";

					if ( $db->query($query_body) ) {
						$insertImg = true;
						new Sincronizacion($query_body,2,'',$codigo_Usuario);
						$nombreCliente = $db->get_var("SELECT Nombre FROM pv_cliente WHERE Id_Cliente = '$idCliente' ");
						$type = 1;
						$mensaje .= "El deposito No.$noComprobante se ha operado correctamente ha $nombreCliente <br><br>";
					}
				}else{
					$mensaje = "Error al ingresar datos de encabezado";
				}
			}
		}else{
			$type = 2;
			$mensaje = "No se guardarón los datos. El deposito No.$noComprobante ya está registrado, verifiqué los datos <br><br>";
		}
	}

	$dir_subida = 'img/';
	$valid_types = array("image/jpg", "image/jpeg", "image/png");
	$valid_file = true;
	$name_img = isset($_FILES['foto_compro']['name']) ? $_FILES['foto_compro']['name'] : '';

	if( !empty($name_img) && $insertImg){
		foreach($name_img as  $key => $val){
			if( !empty($val) ){
				if(!$_FILES['foto_compro']['error'][$key]){

					$name_img_ = $_FILES['foto_compro']['name'][$key];
					$new_file_name = $idCliente.'_'.$noComprobante.'_'.$key;
					$tmp_img = $_FILES['foto_compro']['tmp_name'][$key];
					$tamano = ($_FILES['foto_compro']['size'][$key]/1024/1024);
					$extendion = $_FILES['foto_compro']['type'][$key];

					if($tamano > (10.1)){
						$type = 2;
						$valid_file = false;
						$mensaje .= "La imagen $name_img_ no se ha guardado. supera el limite de 10MB(Megabytes).\n la 
						imagen $tmp_img tiene un tamaño de $tamano MB<br><br>";
					}
					if (!in_array($extendion , $valid_types)){
						$type = 2;
						$valid_file = false;
						$mensaje .= "La imagen $name_img_  no se ha guardado tiene un formato desconocido<br><br>";
					}
					if($valid_file){
						move_uploaded_file($tmp_img, $dir_subida.$new_file_name);

						$imgBoleta .= "(NULL,'$noComprobante','$tamano','$extendion','$new_file_name'),";
						$type = 1;
						new Sincronizacion($new_file_name,3,'',$codigo_Usuario);

						$mensaje .= "la imagen $name_img_ del deposito no.$noComprobante se ha guardado cocrrectamente.<br><br>";
					}
				}else{
					$type = 2;
					$mensaje = "La imagen no se ha subido por el siguiente error:  ".$_FILES['foto_compro']['error'][$key] ."<br><br>";
				}
			}
		}
		if( $imgBoleta != ''){
			$imgBoleta = trim($imgBoleta, ',');
			$queryImg = "INSERT INTO pv_img_boleta 
				(Id_Img_Boleta, Id_Boleta, Tamano_MB, Extension, Nombre)
				VALUES
				$imgBoleta";
			$db->query($queryImg);
			new Sincronizacion($queryImg,2,'',$codigo_Usuario);
		}
	}
}

require_once '../include/info_empresa.php';
require_once '../include/funciones.php';
include_once "tabla.php";
?>
<script type="text/javascript">
	$.alert({
		icon: 'fa fa-warning',
        title: 'Nota',
        content: <?php echo "'$mensaje'"; ?> ,
        type: <?php echo ($type == 1)? '"green"' : '"red"'; ?>,
        typeAnimated: true
    });
</script>