function mostrar_detalle(number) {
    $.ajax({
        url : 'detalle_deposito.php',
        data : { query : number },
        type : 'POST',
        success : function(json) {
            $("#detalle_deposito").modal({
                show: true,
                keyboard: true,
                backdrop: false
            });
            $("#Contenido_deposito").html(json);
        },
        error : function(xhr, status) {
            alert('Disculpe, existió un problema');
        }
    });
}

function ComprobarAbonos(){
	var inps = $('input[name^="catidad"]');//Selecciona todos los inputs que comiencen con el nombre cantidad
	var total = $("#total").val();	//obtiene el valor de input con id total
	var abono = 0;	//declara la variable abono con cero
	//recorre todo los inputs (encontrados previamente). || Parametros (index, value) index -> es la posicion del input
	//comenzando del 0 hacia el infinito.  value -> es el valor del input 
	inps.each(function( index, value ) {
		//obtiene el valor del input mediante el indice de su posicion, ejemplo input name=catidad[5] = 100
		abono += parseFloat(inps[index].value) || 0;	//el valor lo va almacenando y sumando en al variabel ->abono<-
	});
	
	if ($.number(total,2, '.', '') != $.number(abono,2, '.', '')) { //si la variable abono es distinto a la variable total devulve falso, sino devuelve verdadero
		return false;
	}else{
		return true;
	}
}

//validate ivoice
function Validate_factura(id){
    var factura = $(id).parent().parent().parent().parent().find( $('input[name^="factura"]') ).val();
    if (factura != ''){
        $.post( "factura.php", { factura: factura }, function( result ) {
            alert('info','Pendiente de pago: Q '+ $.number( result.Abono, 2, '.', ',') );
        }, "json");
    }
};


function eliminar(codigo) {
        $.confirm({
            title: 'Confirmar',
            content: 'Desea eliminar la boleta <b>#'+codigo+'</b>. Este proceso es irreversible',
            buttons: {
                Si: function () {
                    var self = this;
                    return $.ajax({
                        url : 'verificar.php',
                        data : {comprobante:codigo},
                        type : 'POST',
                    }).done(function (response) {
                        $('#box_table').append(response);
                    }).fail(function(){
                        self.setContent('Error de red. Vuelva a intentarlo');
                    });
                },
                No: function () {

                }
            }
        })
    }