<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog"  id="Modal_Deposito">
	<div class="modal-dialog modal-lg">
		<div class="modal-content">
			<div class="modal-header">
				<div class="pull-right box-tools">
					<button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<h4 class="modal-title">Nuevo Deposito</h4>
			</div>
			<form id="Form_Deposito" name="Form_Deposito" class="form-horizontal">
				<div class="modal-body">
					
					<div class="form-group">
						<div class="col-sm-10 col-sm-offset-2">
							Cliente Registrado - Cliente No Registrado (No Concurrente)
							<li class="list-group-item">
								<div class="material-switch ">
									C/R - C/NoR
									<input id="nuevo" name="nuevo" type="checkbox" />
									<label for="nuevo" class="label-danger"></label>
									<span class="text-muted"> Utilice está opción si el cliente no esta registrado.</span>
								</div>
							</li>
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label" for="date">Fecha</label>
						<div class="col-sm-10">
							<input type="text" class="form-control" id="date" name="date" placeholder="Fecha de deposito">
						</div>
					</div>

					<div id="default">
						<div class="form-group has-feedback">
							<label class="col-sm-2 control-label" for="cliente">Cliente</label>
							<div class="col-sm-10">
								<input autocomplete="off" type="text" id="cliente" name="cliente" class="form-control group" placeholder="Nombre o Código">
								<span class="glyphicon glyphicon-remove-circle form-control-feedback reset" 
								data-toggle="tooltip" data-original-title="Borrar" id="clear_input"
								style="color: red; right: 35px;"></span>
								<input type="hidden" name="cdcliente" id="cdcliente" class="form-control"/>
							</div>
						</div>
					</div>

					<div id="Nuevo" style="display: none;">
						<div class="form-group">
							<label class="col-sm-2 control-label" for="newName">Cliente:</label>
							<div class="col-sm-10">
								<input autocomplete="off" type="text" name="newName" id="newName" class="form-control" placeholder="Nombre y apellido"/>
							</div>
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label" for="boleta">Nº Boleta</label>
						<div class="col-sm-10">
							<input type="text" class="form-control" id="boleta" name="boleta" placeholder="Comprobante">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label" for="banco">Banco</label>
						<div class="col-sm-10">
							<select class="form-control" id="banco" name="banco">
								<option value="" disabled="" selected="">Seleccione banco</option>
								<?php
								$bancos = $db->get_results("SELECT * FROM pv_documento");
								foreach ( $bancos as $banco ){
								echo '<option value="' . $banco->Id_Documento . '">' . $banco->Descripcion . '</option>';
								};
								?>
							</select>
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label" for="total">Total</label>
						<div class="col-sm-10">
							<input type="text" class="form-control" id="total" name="total" placeholder="Total">
						</div>
					</div>

					<div class="form-group">
						<label class="col-xs-2 control-label" for="factura">Factura</label>
						<div class="col-xs-4">
							<input type="text" class="form-control" placeholder="Nº Factura" name="factura[0]">
						</div>
						<div class="col-xs-6">
							<div class="input-group">
								<input type="text" class="form-control" placeholder="Abono" name="catidad[0]">
								<span class="input-group-btn">
									<button type="button" class="btn btn-default" onclick="Validate_factura(this)">
										<i class="fa fa-eye"></i>
									</button>
									<button type="button" class="btn btn-default addButton">
										<i class="fa fa-plus"></i>
									</button>
								</span>
							</div>
						</div>
					</div>

					<!-- ############## Plantilla de div. usada al presionar el boton mas #####-->
					<div class="form-group hide" id="Contenedor_Template">
						<div class="col-xs-4 col-xs-offset-2">
							<input type="text" class="form-control" name="factura" placeholder="Nº Factura" disabled/>
						</div>
						<div class="col-xs-6">
							<div class="input-group">
								<input type="text" class="form-control" name="catidad" placeholder="Abono" disabled/>
								<span class="input-group-btn">
									<button type="button" class="btn btn-default" onclick="Validate_factura(this)">
										<i class="fa fa-eye"></i>
									</button>
									<button type="button" class="btn btn-default removeButton" style="color: #333">
										<i class="fa fa-minus"></i>
									</button>
								</span>
							</div>
						</div>
					</div>
				</div>

				<div class="modal-footer">
					<input type="file" name="foto_compro[]" id="imgcomprobante" class="inputfile inputfile-1" 
					data-multiple-caption="{count} archivos seleccionados" 
					style="display: none;" multiple accept="image/x-png,image/gif,image/jpeg" >
					<label for="imgcomprobante">
						<span class="btn btn-primary" id="btn_imagenes"><i class="fa  fa-upload"></i> Agregar imagen&hellip;</span>
					</label>
					<button type="submit" class="btn btn-primary" id="Guardar_Deposito"
					data-loading-text="<i class='fa fa-spinner fa-spin '></i> Guardando...">
						<i class="fa  fa-save"></i> Guardar
					</button>
					<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
				</div>
			</form>
		</div>
	</div>
</div>