<table id="tabla_deposito" class="table table-bordered table-hover" data-order="[[ 0, &quot;desc&quot; ]]" width="100%">
    <thead>
        <th>Fecha</th>
        <th>CD Cliente</th>
        <th>Cliente</th>
        <th>Nº Boleta</th>
        <th>Documento</th>
        <th>Total</th>
        <th>Estado</th>
        <th></th>
    </thead>
    <tbody>
       
            <?php
            $boletas = $db->get_results("SELECT T0.Fecha, T0.Id_Cliente, T1.Nombre, T0.Boleta, T2.Descripcion, T0.Cantidad, T0.Estado
                FROM pv_boleta T0
                INNER JOIN pv_cliente T1 ON (T1.Id_Cliente = T0.Id_Cliente)
                INNER JOIN pv_documento T2 ON (T2.Id_Documento = T0.Id_Banco)
                WHERE T1.Id_Empleado = '$codigo_empleado'
                UNION
                SELECT T0.Fecha, T0.Id_Cliente, T2.Nombre, T0.Boleta, T1.Descripcion, T0.Cantidad, T0.Estado
                FROM pv_boleta T0
                INNER JOIN pv_documento T1 ON (T1.Id_Documento = T0.Id_Banco)
                INNER JOIN pv_cliente_final T2 ON (T2.Correlativo = T0.Boleta)
                WHERE T2.Id_Empleado = '$codigo_empleado' AND T2.Seccion = 2
                ");

            if ($boletas) {    
                foreach ( $boletas as $boleta ){
                    $comprobante = $boleta->Boleta;
                    $fecha = $boleta->Fecha;
                    $banco = $boleta->Descripcion;
                    $cliente = $boleta->Nombre;
                    $codigo = $boleta->Id_Cliente;
                    $total = $boleta->Cantidad;
                    $estado = $boleta->Estado;
                    $timestamp = strtotime($fecha);
                    $label = ($codigo == 0 )? 'C/F - ':'';
                   
                    echo '
                        <tr>
                        <td data-order="'. $timestamp .'">'. FormatoFecha($fecha) .'</td>
                        <td>'.$codigo.'</td>
                        <td>'.$label.$cliente.'</td>
                        <td>'.$comprobante.'</td>
                        <td>'.$banco.'</td>
                        <td class="text-right">' . FormatoNumero($total) . '</td>
                        <td>'. EstadoProceso($estado) .'</td>
                        <td>
                        	<div class="btn-group">
	                            <button type="button" class="btn btn-default btn-sm" onclick="mostrar_detalle('. $comprobante .')">
	                                <i class="fa fa-eye"></i> ver
	                            </button>
	                            <button type="button" class="btn btn-default btn-sm" onclick="eliminar('. $comprobante .')">
	                                <i class="fa fa-trash"></i> Eliminar
	                            </button>     
	                        </div>                      
                        </td>
                        </tr>
                    ';
                };
            } else {
                echo "No se han encontrado registros";
            }
            ?>
        
    </tbody>
</table>