$( document ).ready(function() {
	var option1 = {
        url: function(phrase) {
            return "clientes.php";
        },
        getValue: function(element) {
            return element.Nombre;
        },
        ajaxSettings: {dataType: "json",method: "POST",data: {dataType: "json"}},
        preparePostData: function(data) {
            data.cliente = $("#cliente").val();
            return data;
        },
        list: {maxNumberOfElements:5,
            onSelectItemEvent: function() {
                var codigoc = $("#cliente").getSelectedItemData().Codigo;
                $("#cdcliente").val(codigoc).trigger("change");
                $("#clear_input").show();
            },
            onChooseEvent: function() {
                $('#Form_Deposito').bootstrapValidator('revalidateField', 'cdcliente' );
            }
        },
        requestDelay: 300
    };
    $("#cliente").easyAutocomplete(option1);

    //modal insert deposit
	$('#btn_Modal_Deposito').on( "click", function(){
		$('#Modal_Deposito').modal({
			show:true
		});
	});

    //clear input 
    $("#clear_input").on( "click", function() {
    	$('#cliente').val("").focus();
    	$("#cdcliente").val("");
        $('#Form_Deposito').bootstrapValidator('revalidateField', 'cdcliente' );
    });

    Tabla_Simple('#tabla_deposito','',[true,true,25,true],'');

    //input datapicker
    $('#date').datepicker({
        autoclose: true,
        format: 'dd/mm/yyyy',
        language: 'es',
        todayHighlight: true
    }).on('changeDate', function(e) {
        $('#Form_Deposito').bootstrapValidator('revalidateField', 'date');
    });

    if(!$('#date').data('datepicker')){
        alert('El calendario no esta disponible');
    }  

    $("[name='nuevo']").change(function() {
        if (this.checked) {
            $('#Nuevo').show();
            $('#default').hide();
            $("[name='nuevo']").prop('checked', true);
            $("#cdcliente").val('0');
            $("#cliente").val('');
            $('#Form_Deposito').bootstrapValidator('enableFieldValidators', 'cdcliente', false);
            $('#Form_Deposito').bootstrapValidator('enableFieldValidators', 'newName', true);
            $('#Form_Deposito').bootstrapValidator('validate');
        }else{
            $('#Nuevo').hide();
            $('#default').show();
            $("[name='nuevo']").prop('checked', false);
            $("#cdcliente").val('');
            $("#cliente").val('');
            $('#Form_Deposito').bootstrapValidator('enableFieldValidators', 'cdcliente', true);
            $('#Form_Deposito').bootstrapValidator('enableFieldValidators', 'newName', false);
            $('#Form_Deposito').bootstrapValidator('validate');
        }
    });

});
