<div class="col-md-6">
    <div class="box box-primary">
        <div class="box-header with-border">
            <h3 class="box-title">Cuentas por cobrar</h3>
        </div>
        <?php
            $facturas = $db->get_results("SELECT
                pv_enca_factura.Id_Enca_Factura,
                pv_cliente.Nombre,
                DATE_ADD(pv_enca_factura.Fecha, INTERVAL pv_enca_factura.Dias_Credito DAY) as Vencimiento
                FROM pv_enca_factura, pv_cliente
                WHERE pv_enca_factura.Id_Cliente = pv_cliente.Id_Cliente
                AND (pv_enca_factura.Estado = 3 OR pv_enca_factura.Estado = 2)
                AND pv_cliente.Id_Empleado = '$codigo_empleado'
                ORDER BY pv_enca_factura.Fecha ASC LIMIT 10");
            ?>
        <div class="box-body">
            <img id="load_table" class="img-responsive center-block load_table" src="../style/img/load.gif">
            <table id="Tabla_Facturas" class="table table-striped table-bordered dt-responsive nowrap" 
            cellspacing="0" width="100%" style=" opacity: 0;">
                <thead>
                    <tr>
                        <th>
                            Factura
                        </th>
                        <th>
                            Cliente
                        </th>
                        <th>
                            Vencimiento
                        </th>
                        <th>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                        if ( $facturas ) {
                            foreach ( $facturas as $factura ){
                                $tiempo = DiasVencido(date("Y-m-d"),$factura->Vencimiento);
                    ?>
                                <tr>
                                    <td><?php $idfactura = $factura->Id_Enca_Factura;
                                        echo $idfactura; ?>
                                    </td>
                                    <td><?php echo $factura->Nombre ?></td>
                                    <td><?php echo ColorEstado($tiempo) ?></td>
                                    <td>
                                        <button type="button" class="btn btn-default" onclick="factura(<?php echo $idfactura; ?>)">
                                            <i class="fa fa-eye"> ver</i>
                                        </button>
                                    </td>
                                </tr>
                    <?php
                            }
                        }else{
                            echo "No tiene cuentas para mostrar";
                        }
                    ?>
                </tbody>
            </table>
        </div>
        <div class="box-footer text-center">
            <a href="../cuentas/" class="uppercase">Ver todos...</a>
        </div>
    </div>
</div>