<table id="pedidos" class="table table-bordered table-hover" width="100%" data-order="[[ 0, &quot;desc&quot; ]]">
    <thead>
        <th>Nº</th>
        <th>Fecha</th>
        <th>Cliente</th>
        <th>Estado</th>
        <th>Total</th>
        <th></th>
    </thead>
    <tbody>
        <?php
        $orden = $db->get_results("SELECT
            pv_enca_orden.Id_Enca_Orden,
            pv_enca_orden.Fecha,
            pv_enca_orden.Estado,
            pv_cliente.Id_Cliente,
            pv_cliente.Nombre
            FROM pv_enca_orden
            INNER JOIN pv_cliente ON (pv_enca_orden.Id_Cliente = pv_cliente.Id_Cliente)
            WHERE pv_enca_orden.Id_Vendedor = '$codigo_empleado'
            AND pv_enca_orden.Estado != 5
            ORDER BY pv_enca_orden.Id_Enca_Orden DESC");
        if($orden){
            foreach ( $orden as $ordens ){

                $no_orden = $ordens->Id_Enca_Orden;
                $var = $db->get_var("SELECT SUM(Cantidad*Precio) AS Total 
                    FROM pv_detalle_orden WHERE Id_Enca_Orden = '$no_orden' ");
                if ($ordens->Id_Cliente == 0) {
                    $nombre = $db->get_var("SELECT Nombre FROM pv_cliente_final WHERE Seccion = '1' AND Correlativo = '$no_orden' ");
                }else{
                    $nombre = $ordens->Nombre;
                }
                echo '
                    <tr>
                        <td>'. str_pad($ordens->Id_Enca_Orden, 6, "0", STR_PAD_LEFT) .'
                        </td>
                        <td>' . FormatoFecha($ordens->Fecha) . '</td>
                        <td>' . $nombre . '</td>
                        <td>' . EstadoProceso($ordens->Estado) . '</td>
                        <td class="text-right">' . FormatoMoneda($var) . '</td>
                        <td>
                            <div class="btn-group pull-right">
                                <button type="button" class="btn btn-default dropdown-toggle" 
                                data-toggle="dropdown" aria-expanded="false">
                                    Acciones
                                    <span class="fa fa-caret-down"></span>
                                </button>
                                <ul class="dropdown-menu">
                                    <li><a  onclick="anular('. $no_orden.')"><i class="fa fa-ban"></i> Anular</a></li>
                                    <li><a onclick="detalle('. $no_orden .')"><i class="fa fa-eye"></i> ver</a></li>
                                </ul>
                            </div>
                        </td>
                    </tr>
                ';
            }
        }else {
            echo 'No tienes ordenes de compra para mostrar';
        }
?>
    </tbody>
</table>