<?php

include_once "../config/conexion.php";

$buscar = $db->escape($_POST['factura']);

if ($db->numero($buscar)){

  include_once "../include/info_empresa.php";
  include_once "../include/funciones.php";

  $enca = $db->get_row("SELECT pv_enca_factura.Id_Enca_Factura,
    pv_enca_factura.Fecha,
    pv_enca_factura.Dias_Credito,
    pv_enca_factura.Total,
    pv_enca_factura.Estado,

    pv_cliente.Nombre,
    pv_cliente.Direccion,
    pv_cliente.Telefono,
    pv_cliente.NIT,

    pv_empleado.Nombre as name,
    pv_empleado.Apellido,
    pv_empleado.Telefono as phone,
    pv_empleado.Correo
    FROM pv_enca_factura, pv_cliente, pv_empleado
    WHERE pv_enca_factura.Id_Enca_Factura = '$buscar'
    AND pv_enca_factura.Id_Cliente = pv_cliente.Id_Cliente
    AND pv_cliente.Id_Empleado = pv_empleado.Id_Empleado");


  $numero_factura = $enca->Id_Enca_Factura;
  $credito = $enca->Dias_Credito;
  $fecha = FormatoFecha($enca->Fecha);
  $estado = EstadoCobro($enca->Estado);
  $facturado = FormatoMoneda($enca->Total);

  $cliente = $enca->Nombre;
  $direccion = $enca->Direccion;
  $telefono = $enca->Telefono;
  $nit = $enca->NIT;

  $vendedor = $enca->name.' '.$enca->Apellido;
  $celular = $enca->phone;
  $correo = $enca->Correo;

  if($enca->Estado != 1) {
    $pendiente = $enca->Total - $db->get_var("SELECT SUM(Cantidad) FROM pv_pago_factura WHERE pv_pago_factura.Id_Enca_Factura = '$numero_factura'") ;
    $mostrar =  '<p class="text-red"> Pendiente: '.FormatoMoneda($pendiente) .'</p><br>';
  }else{
    $pendiente = 0;
    $mostrar =  '';
  }

?>

  <div class="row">
    <div class="col-xs-12">
      <h2>
        <img src="../style/img/sistema/<?php echo $logo_Small ?>" width="30" style="vertical-align: inherit;filter: grayscale(100%)">
        <?php echo $Nombre_Empresa ?>
      </h2>
    </div>

    <div class="col-sm-4 invoice-col">
      <strong>Vendedor</strong>
      <address>
        <?php echo $vendedor ?><br>
        Telefono: <?php echo $celular ?><br>
        Correo: <?php echo $correo ?>
      </address>
    </div>

    <div class="col-sm-4 invoice-col">
      <strong>Cliente</strong>
      <address>
        <?php echo $cliente ?><br>
          Direccion: <?php echo $direccion ?><br>
          Telefono: <?php echo $telefono ?><br>
          NIT: <?php echo $nit ?>
      </address>
    </div>

    <div class="col-sm-4 invoice-col">
      <b>Factura <?php echo $TF_Empresa.$numero_factura ?></b><br>
      Fecha de emision: <?php echo $fecha ?><br>
      Estado: <?php echo $estado ?><br>
      Días de credito: <?php echo $credito ?><br>
      Facturado: <?php echo $facturado. $mostrar ?><br><br>
    </div>
  </div>

<?php
  include_once 'tabla.php';
  }
?>

